Bug 164087 - Arrow keys do not work
Summary: Arrow keys do not work
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: ppracer   
(Show other bugs)
Version: 4
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-24 16:22 UTC by Boris Goldowsky
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-26 11:37:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Boris Goldowsky 2005-07-24 16:22:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Was previously using tuxracer with arrow keys on keyboard for steering.
After FC4 upgrade, arrow keys no longer work.
Can reset steering controls to keys in a-z range, and that works, but setting to arrow keys or numeric keypad keys fails.


Version-Release number of selected component (if applicable):
ppracer-0.3.1-4

How reproducible:
Always

Steps to Reproduce:
1. Start ppracer
2. Attempt to play.
3.
  

Actual Results:  Tux races straight ahead, unresponsive.

Expected Results:  In previous versions, arrow keys worked for steering.

Additional info:

Apparently others have had the same problem:

http://projects.planetpenguin.de/forums/viewtopic.php?id=68

Comment 1 Nils Philippsen 2005-07-26 11:37:23 UTC
According to
http://developer.berlios.de/bugs/?func=detailbug&bug_id=3745&group_id=1428 this
has been fixed in upstream CVS. I'll pick up the fix with the next version when
it comes, feel free to extract a patch from CVS and reopen the bug with it
attached, though.


Note You need to log in before you can comment on or make changes to this bug.